﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@model Toyota.Common.Web.MVC.ModelHolder

@Html.DevExpress().TextBox(
edtSettings =>
{
    edtSettings.Name = "remMANIFEST_NO";
    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;

}).GetHtml()

@Html.DevExpress().TextBox(
edtSettings =>
{
    edtSettings.Name = "remORDER_NO";
    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;

}).GetHtml()


<table border="0" cellpadding="0" cellspacing="0">
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Remark";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
         </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Memo(settings =>
            {
                settings.Name = "REMARK";
                settings.Width = 400;
                settings.Height = 150;
            }).GetHtml()
        </td>
    </tr>
</table>
<div style="float:right">
    <table border="0">
        <tr>
            <td>
                @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnSaveRemark";
                button.Text = "Save";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "remarkSave";

            }).GetHtml()

            </td>
            <td>
                @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnCancelRemark";
                button.Text = "Cancel";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "remarkCancel";

            }).GetHtml()

            </td>
        </tr>
    </table>
</div>